%define version		2.0.0
%define subversion	rc4
%define release		%mkrel 0.%{subversion}.1

Summary:	Coriander is a GUI for controlling IEEE1394 cameras
Name:		coriander
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source:		%{name}-%{version}-%{subversion}.tar.bz2
URL:		http://damien.douxchamps.net/ieee1394/coriander/
BuildRequires:	SDL-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libdc1394-devel >= 2.0.0-0.rc5
BuildRequires:	libgnomeui2-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libxv-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Coriander is the Linux graphical user interface (GUI) for controlling
a Digital Camera through the IEEE1394 bus (aka FireWire, or iLink).
Coriander is full featured and besides changing the parameters of the
camera it will also let you record video, send images to an FTP site,
convert the video to a V4L stream,... A live display is of course
provided too. Best of all, Coriander will work with any camera that is
compatible with the IIDC specifications (also known as DCAM specs).
This includes most 1394 webcams and a majority of industrial or
scientific cameras too.

%prep

%setup -q -n %{name}-%{version}-%{subversion}

%build
%configure
%make

%install
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/coriander
%{_datadir}/pixmaps/coriander/coriander-icon.png
%{_datadir}/pixmaps/coriander/coriander-logo.png


%changelog
* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc4.1mdv2007.0
+ Revision: 111251
- 2.0.0-rc4
- 2.0.0-rc3
- 2.0.0-rc2

* Tue Oct 24 2006 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc1.1mdv2007.0
+ Revision: 72245
- 2.0.0-rc1
- Import coriander



* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-0.pre6.3mdv2007.0
- Rebuild with latest dbus

* Sun Jun 11 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre6.2mdk
- fix BuildRequires for sparc64

* Wed May 10 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre6.1mdk
- 2.0.0-pre6

* Wed Mar 22 2006 Jerome Martin <jerome.f.martin@free.fr> 2.0.0-0.pre5.2mdk
- Fixed BuildRequires

* Mon Mar 20 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre5.1mdk
- 2.0.0-pre5

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre4.1mdk
- initial package
